# $Revision: 1.21 $, $Date: 2007/01/26 17:11:37 $
Summary:	A Napster clone for linux written in gtk
Summary(pl):	Klon klienta napstera napisany w gtk
Name:		lopster
Version:	1.2.2
Release:	3
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	ae857116eddd01f1f7d2769908a142c0
Source1:	%{name}.desktop
Patch0:		%{name}-protocol.patch
URL:		http://lopster.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libogg-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Napster clone for linux written in gtk.

%description -l pl
Klon klienta napstera napisany w gtk.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog README README.pings TODO
%lang(es) %doc README.ES
%attr(755,root,root) %{_bindir}/*
%{_datadir}/lopster
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lopster.spec,v $
Revision 1.21  2007/01/26 17:11:37  glen
- rel 3

Revision 1.20  2005/03/14 14:06:13  havner
- rel up for new flac

Revision 1.19  2004/12/11 09:52:17  adamg
- updated to 1.2.2

Revision 1.18  2004/11/07 12:40:20  paladine
- rel 2 for fixed desktop file

Revision 1.17  2004/09/02 19:11:29  darekr
- updated to 1.2.1

Revision 1.16  2004/03/31 21:37:40  qboosh
- updated to 1.2.0, switched to vfolders; builds now

Revision 1.15  2003/05/28 12:59:37  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:50:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/02/23 20:45:55  ankry
- changed src URL to a working one

Revision 1.12  2003/02/23 10:37:55  misi3k
- updated to 1.0.1

Revision 1.11  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.10  2002/11/27 21:10:42  juandon
- new %%doc

Revision 1.9  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.8  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.7  2002/05/21 23:14:04  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/03/24 23:28:21  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/05/30 09:55:41  kloczek
- updated to 0.9.8,
- remove acinclude.m4 on top %build (with gettext.m4 private copy).

Revision 1.2  2001/05/09 18:30:05  misiek
- added protocol patch

Revision 1.1  2001/05/09 18:14:51  misiek
napster client; initial pld release
